gstreamermm: Gst::AlsaSrc Class Reference

gstreamermm 0.10.11

- Main Page
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gst::AlsaSrc Class Reference
gstreamermm Plugins

A Wrapper for the alsasrc plugin. More...

Inheritance diagram for Gst::AlsaSrc:
[legend]
Collaboration diagram for Gst::AlsaSrc:
[legend]

List of all members.

## Public Member Functions
virtual | ~AlsaSrc ()
GstAlsaSrc* | gobj ()
| Provides access to the underlying C GObject.
const GstAlsaSrc* | gobj () const
| Provides access to the underlying C GObject.
GstAlsaSrc* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::ustring > | property_device ()
| ALSA device, as defined in an asound configuration file.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_device () const
| ALSA device, as defined in an asound configuration file.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_device_name () const
| Human-readable name of the sound device.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_card_name () const
| Human-readable name of the sound card.
## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< AlsaSrc > | create ()
| Creates a new alsasrc plugin with a unique name.
static Glib::RefPtr< AlsaSrc > | create (const Glib::ustring& name)
| Creates a new alsasrc plugin with the given name.
## Protected Member Functions
| AlsaSrc ()
| AlsaSrc (const Glib::ustring& name)
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gst::AlsaSrc > | wrap (GstAlsaSrc* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A Wrapper for the alsasrc plugin.

Please note that not all plug-ins are available on all systems so care must be taken that they exist before they are used otherwise there will be errors and possibly a crash.

## Constructor & Destructor Documentation

virtual Gst::AlsaSrc::~AlsaSrc | ( |  | ) | `[virtual]`

Gst::AlsaSrc::AlsaSrc | ( |  | ) | `[protected]`

Gst::AlsaSrc::AlsaSrc | ( | const Glib::ustring & | name | ) | `[explicit, protected]`

## Member Function Documentation

static Glib::RefPtr<AlsaSrc> Gst::AlsaSrc::create | ( |  | ) | `[static]`

Creates a new alsasrc plugin with a unique name.

static Glib::RefPtr<AlsaSrc> Gst::AlsaSrc::create | ( | const Glib::ustring & | name | ) | `[static]`

Creates a new alsasrc plugin with the given name.

static GType Gst::AlsaSrc::get_type | ( |  | ) | `[static]`

Get the GType for this class, for use with the underlying GObject type system.

Reimplemented from Gst::AudioSrc.

GstAlsaSrc* Gst::AlsaSrc::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::AudioSrc.

const GstAlsaSrc* Gst::AlsaSrc::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Gst::AudioSrc.

GstAlsaSrc* Gst::AlsaSrc::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Reimplemented from Gst::AudioSrc.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::AlsaSrc::property_card_name | ( |  | ) | const

Human-readable name of the sound card.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::ustring > Gst::AlsaSrc::property_device | ( |  | ) |

ALSA device, as defined in an asound configuration file.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::AlsaSrc::property_device | ( |  | ) | const

ALSA device, as defined in an asound configuration file.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Glib::ustring > Gst::AlsaSrc::property_device_name | ( |  | ) | const

Human-readable name of the sound device.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gst::AlsaSrc > wrap | ( | GstAlsaSrc * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gstreamermm/alsasrc.h